'use strict';

/**
 * @ngdoc filter
 * @name annotationAppApp.filter:removeHiddenInsights
 * @function
 * @description
 * # removeHiddenInsights
 * Filter in the annotationAppApp.
 */
angular.module('app')
    .filter('removeHiddenInsights', function() {
        return function(input) {

            var result;

            if (!input) {
                return [];
            }

            result = input.filter(function(el) {
                return typeof el.isHidden === 'undefined' || el.isHidden === false;
            });
            
            return result;


        };
    });